<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports1.css" rel="stylesheet" id="ultra" />
    <link type="text/css" href="testng-reports.css" rel="stylesheet" id="retro" disabled="false"/>
    <script type="text/javascript" src="jquery-3.4.1.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <button class="button" id="button">Switch Retro Theme</button> <!-- button -->
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" class="collapse-all-link" title="Collapse/expand all the suites">
          <img class="collapse-all-icon" src="collapseall.gif">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" class="navigator-link" panel-name="suite-Suite">
              <span class="suite-name border-passed">Suite</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" class="navigator-link " panel-name="test-xml-Suite">
                    <span>C:\Users\vijayma\eclipse-workspace\keywordDrivenDramework\testng.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="testlist-Suite">
                    <span class="test-stats">1 test</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="group-Suite">
                    <span>0 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="times-Suite">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="reporter-Suite">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="ignored-methods-Suite">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="chronological-Suite">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">10 methods,   10 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-Suite" class="hide-methods passed suite-Suite"> (hide)</a> <!-- hide-methods passed suite-Suite -->
                      <a href="#" panel-name="suite-Suite" class="show-methods passed suite-Suite"> (show)</a> <!-- show-methods passed suite-Suite -->
                    </span>
                    <div class="method-list-content passed suite-Suite">
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="keywordDriver.ExecutingTestCases" hash-for-method="executeTestCases(null, enter password, type, id:txtPassword, admin123)">executeTestCases(null, enter password, type, id:txtPassword, admin123)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="keywordDriver.ExecutingTestCases" hash-for-method="executeTestCases(null, verify page url, checkUrl, null, dashboard)">executeTestCases(null, verify page url, checkUrl, null, dashboard)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="keywordDriver.ExecutingTestCases" hash-for-method="executeTestCases(null, verify page url, checkUrl, null, index.php/auth/login)">executeTestCases(null, verify page url, checkUrl, null, index.php/auth/login)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="keywordDriver.ExecutingTestCases" hash-for-method="executeTestCases(null, click logout, lclick, linktext:Logout, null)">executeTestCases(null, click logout, lclick, linktext:Logout, null)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="keywordDriver.ExecutingTestCases" hash-for-method="executeTestCases(null, verify page title, checkTitle, null, OrangeHRM)">executeTestCases(null, verify page title, checkTitle, null, OrangeHRM)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="keywordDriver.ExecutingTestCases" hash-for-method="executeTestCases(null, enter username, type, id:txtUsername, Admin)">executeTestCases(null, enter username, type, id:txtUsername, Admin)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="keywordDriver.ExecutingTestCases" hash-for-method="executeTestCases(null, click login button, lclick, id:btnLogin, null)">executeTestCases(null, click login button, lclick, id:btnLogin, null)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="keywordDriver.ExecutingTestCases" hash-for-method="executeTestCases(null, click welcome messgae, lclick, id:welcome, null)">executeTestCases(null, click welcome messgae, lclick, id:welcome, null)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="keywordDriver.ExecutingTestCases" hash-for-method="executeTestCases(Verify successful login, open the appln url, navigate, null, https://opensource-demo.orangehrmlive.c...)">executeTestCases(Verify successful login, open the appln url, navigate, null, https://opensource-demo.orangehrmlive.c...)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="keywordDriver.ExecutingTestCases" hash-for-method="executeTestCases(TestCase, TestSteps, keywords, element, TestData)">executeTestCases(TestCase, TestSteps, keywords, element, TestData)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-Suite -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-Suite" class="panel Suite">
          <div class="suite-Suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">keywordDriver.ExecutingTestCases</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="executeTestCases(null, enter password, type, id:txtPassword, admin123)">
                  </a> <!-- executeTestCases(null, enter password, type, id:txtPassword, admin123) -->
                  <span class="method-name">executeTestCases</span>
                  <span class="parameters">(null, enter password, type, id:txtPassword, admin123)</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="executeTestCases(null, verify page url, checkUrl, null, dashboard)">
                  </a> <!-- executeTestCases(null, verify page url, checkUrl, null, dashboard) -->
                  <span class="method-name">executeTestCases</span>
                  <span class="parameters">(null, verify page url, checkUrl, null, dashboard)</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="executeTestCases(null, verify page url, checkUrl, null, index.php/auth/login)">
                  </a> <!-- executeTestCases(null, verify page url, checkUrl, null, index.php/auth/login) -->
                  <span class="method-name">executeTestCases</span>
                  <span class="parameters">(null, verify page url, checkUrl, null, index.php/auth/login)</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="executeTestCases(null, click logout, lclick, linktext:Logout, null)">
                  </a> <!-- executeTestCases(null, click logout, lclick, linktext:Logout, null) -->
                  <span class="method-name">executeTestCases</span>
                  <span class="parameters">(null, click logout, lclick, linktext:Logout, null)</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="executeTestCases(null, verify page title, checkTitle, null, OrangeHRM)">
                  </a> <!-- executeTestCases(null, verify page title, checkTitle, null, OrangeHRM) -->
                  <span class="method-name">executeTestCases</span>
                  <span class="parameters">(null, verify page title, checkTitle, null, OrangeHRM)</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="executeTestCases(null, enter username, type, id:txtUsername, Admin)">
                  </a> <!-- executeTestCases(null, enter username, type, id:txtUsername, Admin) -->
                  <span class="method-name">executeTestCases</span>
                  <span class="parameters">(null, enter username, type, id:txtUsername, Admin)</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="executeTestCases(null, click login button, lclick, id:btnLogin, null)">
                  </a> <!-- executeTestCases(null, click login button, lclick, id:btnLogin, null) -->
                  <span class="method-name">executeTestCases</span>
                  <span class="parameters">(null, click login button, lclick, id:btnLogin, null)</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="executeTestCases(null, click welcome messgae, lclick, id:welcome, null)">
                  </a> <!-- executeTestCases(null, click welcome messgae, lclick, id:welcome, null) -->
                  <span class="method-name">executeTestCases</span>
                  <span class="parameters">(null, click welcome messgae, lclick, id:welcome, null)</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="executeTestCases(Verify successful login, open the appln url, navigate, null, https://opensource-demo.orangehrmlive.c...)">
                  </a> <!-- executeTestCases(Verify successful login, open the appln url, navigate, null, https://opensource-demo.orangehrmlive.c...) -->
                  <span class="method-name">executeTestCases</span>
                  <span class="parameters">(Verify successful login, open the appln url, navigate, null, https://opensource-demo.orangehrmlive.com/)</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="executeTestCases(TestCase, TestSteps, keywords, element, TestData)">
                  </a> <!-- executeTestCases(TestCase, TestSteps, keywords, element, TestData) -->
                  <span class="method-name">executeTestCases</span>
                  <span class="parameters">(TestCase, TestSteps, keywords, element, TestData)</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Suite-class-passed -->
        </div> <!-- panel Suite -->
        <div panel-name="test-xml-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">C:\Users\vijayma\eclipse-workspace\keywordDrivenDramework\testng.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;https://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite guice-stage=&quot;DEVELOPMENT&quot; name=&quot;Suite&quot;&gt;
  &lt;test thread-count=&quot;5&quot; name=&quot;Test&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;baseTest.BaseTest&quot;/&gt;
      &lt;class name=&quot;keywordDriver.ExecutingTestCases&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Test --&gt;
&lt;/suite&gt; &lt;!-- Suite --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">Test (2 classes)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_Suite');
function tableData_Suite() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(10);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'executeTestCases')
data.setCell(0, 2, 'keywordDriver.ExecutingTestCases')
data.setCell(0, 3, 4774);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'executeTestCases')
data.setCell(1, 2, 'keywordDriver.ExecutingTestCases')
data.setCell(1, 3, 2317);
data.setCell(2, 0, 2)
data.setCell(2, 1, 'executeTestCases')
data.setCell(2, 2, 'keywordDriver.ExecutingTestCases')
data.setCell(2, 3, 1995);
data.setCell(3, 0, 3)
data.setCell(3, 1, 'executeTestCases')
data.setCell(3, 2, 'keywordDriver.ExecutingTestCases')
data.setCell(3, 3, 1522);
data.setCell(4, 0, 4)
data.setCell(4, 1, 'executeTestCases')
data.setCell(4, 2, 'keywordDriver.ExecutingTestCases')
data.setCell(4, 3, 942);
data.setCell(5, 0, 5)
data.setCell(5, 1, 'executeTestCases')
data.setCell(5, 2, 'keywordDriver.ExecutingTestCases')
data.setCell(5, 3, 578);
data.setCell(6, 0, 6)
data.setCell(6, 1, 'executeTestCases')
data.setCell(6, 2, 'keywordDriver.ExecutingTestCases')
data.setCell(6, 3, 149);
data.setCell(7, 0, 7)
data.setCell(7, 1, 'executeTestCases')
data.setCell(7, 2, 'keywordDriver.ExecutingTestCases')
data.setCell(7, 3, 149);
data.setCell(8, 0, 8)
data.setCell(8, 1, 'executeTestCases')
data.setCell(8, 2, 'keywordDriver.ExecutingTestCases')
data.setCell(8, 3, 75);
data.setCell(9, 0, 9)
data.setCell(9, 1, 'executeTestCases')
data.setCell(9, 2, 'keywordDriver.ExecutingTestCases')
data.setCell(9, 3, 6);
window.suiteTableData['Suite']= { tableData: data, tableDiv: 'times-div-Suite'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 12 seconds</span>
              <div id="times-div-Suite">
              </div> <!-- times-div-Suite -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">baseTest.BaseTest</div> <!-- chronological-class-name -->
              <div class="configuration-test before">
                <span class="method-name">initBrowser</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-test before -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">keywordDriver.ExecutingTestCases</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">executeTestCases(TestCase, TestSteps, keywords, element, TestData)</span>
                <span class="method-start">10931 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">executeTestCases(Verify successful login, open the appln url, navigate, null, https://opensource-demo.orangehrmlive.c...)</span>
                <span class="method-start">10940 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">executeTestCases(null, verify page title, checkTitle, null, OrangeHRM)</span>
                <span class="method-start">11884 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">executeTestCases(null, enter username, type, id:txtUsername, Admin)</span>
                <span class="method-start">12034 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">executeTestCases(null, enter password, type, id:txtPassword, admin123)</span>
                <span class="method-start">14030 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">executeTestCases(null, click login button, lclick, id:btnLogin, null)</span>
                <span class="method-start">16348 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">executeTestCases(null, verify page url, checkUrl, null, dashboard)</span>
                <span class="method-start">21124 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">executeTestCases(null, click welcome messgae, lclick, id:welcome, null)</span>
                <span class="method-start">21275 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">executeTestCases(null, click logout, lclick, linktext:Logout, null)</span>
                <span class="method-start">21854 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">executeTestCases(null, verify page url, checkUrl, null, index.php/auth/login)</span>
                <span class="method-start">23377 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">baseTest.BaseTest</div> <!-- chronological-class-name -->
              <div class="configuration-test after">
                <span class="method-name">tearDown</span>
                <span class="method-start">23455 ms</span>
              </div> <!-- configuration-test after -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
<script type="text/javascript" src="testng-reports2.js"></script>
</html>
